libmwaw_applepict1::Value Struct Reference documentation

libmwaw_applepict1::Value Struct Reference

Internal and low level: a class used to read and store all possible value. More...

## Public Member Functions
| Value ()
| Value (Value const &)=default
Value & | operator= (Value const &)=default
virtual | ~Value ()

## Public Attributes
DataType | m_type
| the stored type of the data
int | m_int
| the int value when type=WP_INT
MWAWColor | m_rgb
| the color when type=WP_COLOR
int | m_pat [8]
| the pattern when type=WP_PATTERN
std::string | m_text
| the text when type=WP_TEXT
MWAWVec2i | m_point
| the point when type=WP_POINT
MWAWBox2i | m_box
| the rectangle when type=WP_RECT
std::vector< MWAWVec2i > | m_listPoint
| the list of points which defined the polygon when type=WP_POLY
std::shared_ptr< Region > | m_region
| the region when type=WP_REGION
std::shared_ptr< Bitmap > | m_bitmap
| the bitmap when type=WP_BITMAP

## Friends
std::ostream & | operator<< (std::ostream &o, Value const &f)
| operator<< for Value

## Detailed Description

Internal and low level: a class used to read and store all possible value.

## Constructor & Destructor Documentation

## ◆ Value() [1/2]

libmwaw_applepict1::Value::Value | ( |  | ) |
| inline

Referenced by operator<<, operator=(), and Value().

## ◆ Value() [2/2]

libmwaw_applepict1::Value::Value | ( | Value const & |  | ) |
| default

## ◆ ~Value()

libmwaw_applepict1::Value::~Value | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ operator=()

Value & libmwaw_applepict1::Value::operator= | ( | Value const & |  | ) |
| default

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | Value const & | f )
| friend

operator<< for Value

## Member Data Documentation

## ◆ m_bitmap

std::shared_ptr<Bitmap> libmwaw_applepict1::Value::m_bitmap

the bitmap when type=WP_BITMAP

Referenced by operator<<, libmwaw_applepict1::OpCode::readValue(), and Value().

## ◆ m_box

MWAWBox2i libmwaw_applepict1::Value::m_box

the rectangle when type=WP_RECT

Referenced by operator<<, libmwaw_applepict1::OpCode::readValue(), and Value().

## ◆ m_int

int libmwaw_applepict1::Value::m_int

the int value when type=WP_INT

Referenced by operator<<, libmwaw_applepict1::OpCode::readValue(), and Value().

## ◆ m_listPoint

std::vector<MWAWVec2i> libmwaw_applepict1::Value::m_listPoint

the list of points which defined the polygon when type=WP_POLY

Referenced by operator<<, libmwaw_applepict1::OpCode::readValue(), and Value().

## ◆ m_pat

int libmwaw_applepict1::Value::m_pat[8]

the pattern when type=WP_PATTERN

Referenced by operator<<, libmwaw_applepict1::OpCode::readValue(), and Value().

## ◆ m_point

MWAWVec2i libmwaw_applepict1::Value::m_point

the point when type=WP_POINT

Referenced by operator<<, libmwaw_applepict1::OpCode::readValue(), and Value().

## ◆ m_region

std::shared_ptr<Region> libmwaw_applepict1::Value::m_region

the region when type=WP_REGION

Referenced by operator<<, libmwaw_applepict1::OpCode::readValue(), and Value().

## ◆ m_rgb

MWAWColor libmwaw_applepict1::Value::m_rgb

the color when type=WP_COLOR

Referenced by operator<<, libmwaw_applepict1::OpCode::readValue(), and Value().

## ◆ m_text

std::string libmwaw_applepict1::Value::m_text

the text when type=WP_TEXT

Referenced by operator<<, libmwaw_applepict1::OpCode::readValue(), and Value().

## ◆ m_type

DataType libmwaw_applepict1::Value::m_type

the stored type of the data

This can only be WP_INT, WP_COLOR, WP_PATTERN, WP_POINT, WP_POLY, WP_RECT, WP_REGION, WP_TEXT, WP_BITMAP

Referenced by operator<<, libmwaw_applepict1::OpCode::readValue(), and Value().

The documentation for this struct was generated from the following file:

- MWAWPictMac.cxx